function blacktrimesh(tb,pb, zlevel)
% plot the mesh in black (using line function)
% INPUT
% tb ... 3-by-Ntri triangles
% pb ... 2-by-Nvert vertices
% zlevel ... z-coordinate where the mesh will be drawn

Ntriangles = size(tb,2);

  zt = zlevel*ones(1,4);
  for k = 1 : Ntriangles
    x1 = [pb(1, tb(1:3,k)) pb(1, tb(1,k))];
    y1 = [pb(2, tb(1:3,k)) pb(2, tb(1,k))];
    line(x1, y1, zt, 'Color', [0 0 0]);
    x2 = fliplr(x1);
    y2 = fliplr(y1);
    line(x2, y2, zt, 'Color', [0 0 0]);
  end
end
